searchNodes=[{"doc":"Library for the HTTP Link header as specified in RFC 5988 &quot;Web Linking&quot; .","ref":"ExHttpLink.html","title":"ExHttpLink","type":"module"},{"doc":"Generate a Link header. Examples iex&gt; ExHttpLink . generate [ { &quot;http://example.com&quot; , { &quot;rel&quot; , &quot;example&quot; } , { &quot;rev&quot; , &quot;test&quot; } } ] ~S(&lt;http://example.com&gt;; rel=&quot;example&quot;; rev=&quot;test&quot;) iex&gt; ExHttpLink . generate [ { &quot;http://example.com/a b c?x=y&quot; , { &quot;rel&quot; , &quot;example&quot; } } ] ~S(&lt;http://example.com/a%20b%20c?x=y&gt;; rel=&quot;example&quot;) iex&gt; ExHttpLink . generate [ { &quot;http://example.com/a%20b%20c?x=y&quot; , { &quot;rel&quot; , &quot;example&quot; } } ] ~S(&lt;http://example.com/a%20b%20c?x=y&gt;; rel=&quot;example&quot;) iex&gt; ExHttpLink . generate [ { &quot;http://example.com&quot; , { &quot;rel&quot; , &quot;example&quot; } } , { &quot;te.st&quot; , { &quot;a&quot; , &quot;b&quot; } , { &quot;c&quot; , &quot;&quot; } } ] ~S(&lt;http://example.com&gt;; rel=&quot;example&quot;, &lt;te.st&gt;; a=&quot;b&quot;; c=&quot;&quot;) iex&gt; ExHttpLink . generate [ { &quot;te.st&quot; , { &quot;a&quot; , ~S(hello &quot;world&quot;) } } ] ~S(&lt;te.st&gt;; a=&quot;hello%20%22world%22&quot;)","ref":"ExHttpLink.html#generate/1","title":"ExHttpLink.generate/1","type":"function"},{"doc":"Parses the given binary as links_parsec. Returns {:ok, [token], rest, context, position, byte_offset} or {:error, reason, rest, context, line, byte_offset} where position describes the location of the links_parsec (start position) as {line, offset_to_start_of_line} . To column where the error occurred can be inferred from byte_offset - offset_to_start_of_line . Options :byte_offset - the byte offset for the whole binary, defaults to 0 :line - the line and the byte offset into that line, defaults to {1, byte_offset} :context - the initial context value. It will be converted to a map","ref":"ExHttpLink.html#links_parsec/2","title":"ExHttpLink.links_parsec/2","type":"function"},{"doc":"Parse a Link header. Examples iex&gt; ExHttpLink . parse ~S(&lt;http://example.com&gt;; rel=&quot;example&quot;; rev=test) { :ok , [ { &quot;http://example.com&quot; , { &quot;rel&quot; , &quot;example&quot; } , { &quot;rev&quot; , &quot;test&quot; } } ] } iex&gt; ExHttpLink . parse ~S(&lt;yolo.swag&gt;; whatEver=&quot;&quot;, &lt;http://dev/null&gt;; rel=next) { :ok , [ { &quot;yolo.swag&quot; , { &quot;whatEver&quot; , &quot;&quot; } } , { &quot;http://dev/null&quot; , { &quot;rel&quot; , &quot;next&quot; } } ] } iex&gt; ExHttpLink . parse ~S(&lt;yolo.swag&gt;; title=&quot;some \\&quot; thing \\&quot; %22stuff%22 &quot;) { :ok , [ { &quot;yolo.swag&quot; , { &quot;title&quot; , &quot;some \\&quot; thing \\&quot; \\&quot; stuff \\&quot; &quot; } } ] } iex&gt; ExHttpLink . parse ~S( &lt; http://example.com &gt;;rel= &quot;example&quot;; title =&quot;example dot com&quot; ) { :ok , [ { &quot;http://example.com&quot; , { &quot;rel&quot; , &quot;example&quot; } , { &quot;title&quot; , &quot;example dot com&quot; } } ] } iex&gt; ExHttpLink . parse ~S(&lt;wat&gt;; title*=UTF-8&#39;de&#39;n%c3%a4chstes%20Kapitel) { :ok , [ { &quot;wat&quot; , { &quot;title*&quot; , &quot;UTF-8&#39;de&#39;n%c3%a4chstes%20Kapitel&quot; } } ] }","ref":"ExHttpLink.html#parse/1","title":"ExHttpLink.parse/1","type":"function"}]